System.register(["./core"], function (exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1, Outputs, ComplexProperties, Inputs, CheckBoxComponent, EJ_CHECKBOX_COMPONENTS;
    return {
        setters: [
            function (core_1_1) {
                core_1 = core_1_1;
            }
        ],
        execute: function () {
            Outputs = ["beforeChange", "change", "create", "destroy", "model.checkedChange: checkedChange"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["checkState", "cssClass", "enabled", "enablePersistence", "enableRTL", "enableTriState", "htmlAttributes", "id", "idPrefix", "name", "showRoundedCorner", "size", "text", "validationMessage", "validationRules", "value"], ["checked"]);
            exports_1("CheckBoxComponent", CheckBoxComponent = core_1.CreateComponent("CheckBox", {
                selector: 'ej-checkbox',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: ["checked"],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_CHECKBOX_COMPONENTS", EJ_CHECKBOX_COMPONENTS = [CheckBoxComponent]);
        }
    };
});
//# sourceMappingURL=checkbox.component.js.map