System.register(["./core"], function (exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1, Outputs, ComplexProperties, Inputs, ButtonComponent, ButtonValueAccessor, EJ_BUTTON_COMPONENTS;
    return {
        setters: [
            function (core_1_1) {
                core_1 = core_1_1;
            }
        ],
        execute: function () {
            Outputs = ["click", "create", "destroy"];
            ComplexProperties = [];
            Inputs = core_1.Utils.AngularizeInputs(["contentType", "cssClass", "enabled", "enableRTL", "height", "htmlAttributes", "imagePosition", "prefixIcon", "repeatButton", "showRoundedCorner", "size", "suffixIcon", "text", "timeInterval", "type", "width"], []);
            exports_1("ButtonComponent", ButtonComponent = core_1.CreateComponent("Button", {
                selector: '[ej-button]',
                inputs: Inputs,
                outputs: Outputs,
                template: "",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("ButtonValueAccessor", ButtonValueAccessor = core_1.CreateControlValueAccessor("[ej-button]", ButtonComponent));
            exports_1("EJ_BUTTON_COMPONENTS", EJ_BUTTON_COMPONENTS = [ButtonComponent, ButtonValueAccessor]);
        }
    };
});
//# sourceMappingURL=button.component.js.map